/**
 * Jsonix is a JavaScript library which allows you to convert between XML
 * and JavaScript object structures.
 *
 * Copyright (C) 2010 Aleksei Valikov, Highsource.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.hisrc.jsonix.compiler;

import org.hisrc.jscm.codemodel.JSCodeModel;
import org.hisrc.jscm.codemodel.expression.JSMemberExpression.MemberProperty;
import org.hisrc.jscm.codemodel.expression.JSPrimaryExpression;
import org.hisrc.jscm.codemodel.impl.CodeModelImpl;

public class JsonixCode {
	public final JSCodeModel codeModel = new CodeModelImpl();

	public final JSPrimaryExpression $Jsonix = codeModel
			.globalVariable("Jsonix");
	public final MemberProperty $JsonixModel = $Jsonix.p("Model");
	public final MemberProperty $JsonixModelClassInfo = $JsonixModel
			.p("ClassInfo");
	public final MemberProperty $JsonixModelEnumLeafInfo = $JsonixModel
			.p("EnumLeafInfo");

	public final MemberProperty $JsonixModelElementPropertyInfo = $JsonixModel
			.p("ElementPropertyInfo");
	public final MemberProperty $JsonixModelElementsPropertyInfo = $JsonixModel
			.p("ElementsPropertyInfo");
	public final MemberProperty $JsonixModelAnyElementPropertyInfo = $JsonixModel
			.p("AnyElementPropertyInfo");
	public final MemberProperty $JsonixModelAttributePropertyInfo = $JsonixModel
			.p("AttributePropertyInfo");
	public final MemberProperty $JsonixModelAnyAttributePropertyInfo = $JsonixModel
			.p("AnyAttributePropertyInfo");
	public final MemberProperty $JsonixModelValuePropertyInfo = $JsonixModel
			.p("ValuePropertyInfo");
	public final MemberProperty $JsonixModelElementRefPropertyInfo = $JsonixModel
			.p("ElementRefPropertyInfo");
	public final MemberProperty $JsonixModelElementRefsPropertyInfo = $JsonixModel
			.p("ElementRefsPropertyInfo");

	public final MemberProperty $JsonixXML = $Jsonix.p("XML");
	public final MemberProperty $JsonixXMLQName = $JsonixXML.p("QName");

	public final MemberProperty $JsonixSchema = $Jsonix.p("Schema");
	public final MemberProperty $JsonixSchemaXSD = $JsonixSchema.p("XSD");
	public final MemberProperty $JsonixSchemaXSDList = $JsonixSchemaXSD
			.p("List");
}
