/**
 * Jsonix is a JavaScript library which allows you to convert between XML
 * and JavaScript object structures.
 *
 * Copyright (C) 2010 Aleksei Valikov, Highsource.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.hisrc.jsonix.xjc.customizations;

import javax.xml.bind.JAXBContext;
import javax.xml.bind.JAXBException;
import javax.xml.namespace.QName;

import org.w3c.dom.Element;

public class JsonixCustomizationsConstants {

	private JsonixCustomizationsConstants() {

	}

	public static final String NAMESPACE_URI = "http://jsonix.highsource.org/customizations";

	public static final String DEFAULT_PREFIX = "jsonix";

	public static final String PACKAGE_MAPPING_LOCAL_NAME = "packageMapping";

	public static final QName PACKAGE_MAPPING_NAME = new QName(NAMESPACE_URI,
			PACKAGE_MAPPING_LOCAL_NAME, DEFAULT_PREFIX);

	// public static final String CONTEXT_PATH =
	// JsonixCustomizationsConstants.class
	// .getPackage().getName();
	public static final JAXBContext CONTEXT;
	static {
		try {
			CONTEXT = JAXBContext.newInstance(PackageMapping.class);
		} catch (JAXBException jaxbex) {
			throw new ExceptionInInitializerError(jaxbex);
		}
	}

	public static PackageMapping unmarshalPackageMapping(Element element)
			throws JAXBException {
		return (PackageMapping) CONTEXT.createUnmarshaller().unmarshal(element);
	}
}
