/**
 * Jsonix is a JavaScript library which allows you to convert between XML
 * and JavaScript object structures.
 *
 * Copyright (C) 2010 Aleksei Valikov, Highsource.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

package org.hisrc.jsonix.xjc.customizations;

import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "packageMapping")
public class PackageMapping {

	private String packageName;

	@XmlAttribute
	public String getPackageName() {
		return packageName;
	}

	public void setPackageName(String name) {
		this.packageName = name;
	}

	private String spaceName;

	@XmlAttribute
	public String getSpaceName() {
		return spaceName;
	}

	public void setSpaceName(String space) {
		this.spaceName = space;
	}

	private String moduleName;

	@XmlAttribute
	public String getModuleName() {
		return moduleName;
	}

	public void setModuleName(String module) {
		this.moduleName = module;
	}

	private String namespaceURI;

	@XmlAttribute
	public String getNamespaceURI() {
		return namespaceURI;
	}

	public void setNamespaceURI(String namespaceURI) {
		this.namespaceURI = namespaceURI;
	}

	private String defaultPrefix;

	public String getDefaultPrefix() {
		return defaultPrefix;
	}

	public void setDefaultPrefix(String defaultPrefix) {
		this.defaultPrefix = defaultPrefix;
	}

	private String directory;

	@XmlAttribute
	public String getDirectory() {
		return directory;
	}

	public void setDirectory(String directory) {
		this.directory = directory;
	}

	private String fileName;

	@XmlAttribute
	public String getFileName() {
		return fileName;
	}

	public void setFileName(String file) {
		this.fileName = file;
	}

	private String declarationsFileName;

	@XmlAttribute
	public String getDeclarationsFileName() {
		return declarationsFileName;
	}

	public void setDeclarationsFileName(String declarationsFile) {
		this.declarationsFileName = declarationsFile;
	}

	private String structuresFileName;

	@XmlAttribute
	public String getStructuresFileName() {
		return structuresFileName;
	}

	public void setStructuresFileName(String structuresFile) {
		this.structuresFileName = structuresFile;
	}

}
